# Class CIM_Notary
extends CIM_CredentialManagementService

CIM_Notary is an AuthenticationService which compares the biometric characteristics of a person with known characteristics, to establish identity. An example is a bank teller who compares a picture ID with the person trying to cash a check, or a biometric login service that uses voice recognition to identify a 'user'.

### Table of Contents
Hierarchy
Direct Known Subclasses
Class Qualifiers
Class Properties
Class Methods

## Class Hierarchy

CIM_ManagedElement
|
+--CIM_ManagedSystemElement
|
+--CIM_LogicalElement
|
+--CIM_EnabledLogicalElement
|
+--CIM_Service
|
+--CIM_SecurityService
|
+--CIM_AuthenticationService
|
+--CIM_CredentialManagementService
|
+--CIM_Notary

## Direct Known Subclasses

## Class Qualifiers

Name | Data Type | Value
--- | --- | ---
Description | string | CIM_Notary is an AuthenticationService which compares the biometric characteristics of a person with known characteristics, to establish identity. An example is a bank teller who compares a picture ID with the person trying to cash a check, or a biometric login service that uses voice recognition to identify a 'user'.
UMLPackagePath | string | CIM::User::UsersAccess
Version | string | 2.8.0

## Class Properties

### Local Class Properties

Name | Data Type | Default Value | Qualifiers
--- | --- | --- | ---
Name | Data Type | Value
CharterExpired | datetime |
Description | string | CharterExpired documents when the Notary is no longer authorized, by whoever gave it responsibility, to perform its service.
CharterIssued | datetime |
Description | string | CharterIssued documents when the Notary is first authorized, by whoever gave it responsibility, to perform its service.
Comparitors | uint16 |
Description | string | The types of biometric information which this Notary can compare.
ValueMap | string | 0, 1, 2, 3, 4, 5, 6, 7, 8
Values | string | N/A, Other, Facial, Retina, Mark, Finger, Voice, DNA-RNA, EEG
SealProtocol | string |

Description

string

The SealProtocol is how the decision of the Notary is recorded for future use by parties who will rely on its decision. For instance, a drivers licence frequently includes tamper-resistent coatings and markings to protect the recorded decision that a driver, having various biometric characteristics of height, weight, hair and eye color, using a particular name, has features represented in a photograph of their face.

### Inherited Properties

Name | Data Type | Class Origin
--- | --- | ---
Caption | string | CIM_ManagedElement
CommunicationStatus | uint16 | CIM_ManagedSystemElement
CreationClassName | string | CIM_Service
Description | string | CIM_ManagedElement
DetailedStatus | uint16 | CIM_ManagedSystemElement
ElementName | string | CIM_ManagedElement
EnabledDefault | uint16 | CIM_EnabledLogicalElement
EnabledState | uint16 | CIM_EnabledLogicalElement
HealthState | uint16 | CIM_ManagedSystemElement
InstallDate | datetime | CIM_ManagedSystemElement
InstanceID | string | CIM_ManagedElement
Name | string | CIM_Service
OperatingStatus | uint16 | CIM_ManagedSystemElement
OtherEnabledState | string | CIM_EnabledLogicalElement
PrimaryOwnerContact | string | CIM_Service
PrimaryOwnerName | string | CIM_Service
PrimaryStatus | uint16 | CIM_ManagedSystemElement
RequestedState | uint16 | CIM_EnabledLogicalElement
Started | boolean | CIM_Service
StartMode | string | CIM_Service
Status | string | CIM_ManagedSystemElement
SystemCreationClassName | string | CIM_Service
SystemName | string | CIM_Service
TimeOfLastStateChange | datetime | CIM_EnabledLogicalElement
TransitioningToState | uint16 | CIM_EnabledLogicalElement
AvailableRequestedStates | uint16[] | CIM_EnabledLogicalElement
OperationalStatus | uint16[] | CIM_ManagedSystemElement
StatusDescriptions | string[] | CIM_ManagedSystemElement

## Class Methods

### Inherited Class Methods

Name | Return Type | Class Origin
--- | --- | ---
RequestStateChange | uint32 | CIM_EnabledLogicalElement
StartService | uint32 | CIM_Service
StopService | uint32 | CIM_Service